#! /usr/bin/guile -s
!#
;;; Autounit test
;;; Copyright (C) 2002 James Lewismoss
 
;;; This library is free software; you can redistribute it and/or
;;; modify it under the terms of the GNU Library General Public
;;; License as published by the Free Software Foundation; either
;;; version 2 of the License, or (at your option) any later version.
 
;;; This library is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
;;; Library General Public License for more details.
 
;;; You should have received a copy of the GNU Library General Public
;;; License along with this library; if not, write to the
;;; Free Software Foundation, Inc., 59 Temple Place - Suite 330,
;;; Boston, MA 02111-1307, USA.

(debug-enable 'backtrace)
(debug-enable 'debug)

(use-modules (autounit test)
             (autounit suite)
             (autounit assert))

(define test-suite (au:suite-make "Test Suite"))
(au:suite-add-test test-suite
                   (au:test-make "Test"
                                 (list (lambda (suite data)
                                         (au:assert-success suite)))))
(au:suite-run test-suite)

(au:suite-do-exit test-suite)
